Please update to 3.6 Rated 5 out of 5 stars

This add-on is one of the best I use. Simple and extremely useful. About using it with Firefox 3.6 by overriding compatibility with the Add-on Compatibility Reporter, indeed it works. But then you are unable to manage your search engine plugins once you add an new engine with this add-on.

This review is for a previous version of the add-on (1.8).